# ReadKeys

### Description

Reads the license keys stored on the end-user system with the StoreKeys API.

```csharp
bool ReadKeys (ref string activationKey, ref string computerKey)
```

### Arguments

| Name          | Data Type | Description                   |
| ------------- | :-------: | ----------------------------- |
| activationKey |   string  | the stored activation key     |
| computerKey   |   string  | the stored computer bound key |

### Return

| Data Type | Description                     |
| :-------: | ------------------------------- |
|    bool   | true if the call was successful |

### Remarks

To store keys, use the StoreKeys API. To clear the stored keys, use the DeleteKeys API.

Use the FavorMachineLevelLicenseKey to control which key takes precedence if the keys are stored at the user and machine levels.

The function returns true if either an activationKey or a computerKey was read, otherwise, it returns false.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.soraco.co/docs/api-reference/.net-api/qlmlicense/client-side-methods/readkeys.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
